import sys, pyb

def Test():

    sys.path.append("1://")
    aFile = open("1://data.bin",'rU')
    bytesToRead = aFile.seek(0,2)

    print('Bytes to read %d' % bytesToRead)

    bytesRead  = 0
    chunkCount = 0
    chunkSize  = 0
    blockSize  = 1024

    aFile.seek(0,0)

    # Read/send a file block by block
    while bytesRead < bytesToRead:

        if bytesToRead - bytesRead > blockSize:
            chunkSize = blockSize
        else:
            chunkSize = bytesToRead - bytesRead

        # Should never happen but if it does just exit the file read/send loop
        if chunkSize<0:
            break

        print('Read block %d so far %d next %d' % (chunkSize, bytesRead, bytesRead + chunkSize))

        # READ THE FILE
        chunkToRead = aFile.read(chunkSize)

        bytesRead  = bytesRead + chunkSize
        chunkCount = chunkCount + 1

    aFile.close()

while True:
    Test()

